Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000431KdenliveUser Interfacepublic2008-12-04 11:032008-12-29 16:27
Reporterdivan 
Assigned Tomadsdyd 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
Platform64 bitOSUbuntu LinuxOS Version8.10
Product Version0.7.0 
Target VersionFixed in Version 
Summary0000431: Crash on launch on Ubuntu 8.10 with backports
DescriptionBuild by Builder Wizard (http://www.kde-apps.org/content/show.php?content=85826 [^]).
I've enabled backports to solve build error and installed kdelibs5-dev. Build went well, but on kdenlive start I get a few startup wizard windows and then the crash.
The log output is attached.
Additional InformationThu Dec 4 11:54:59 EET 2008
This is a logfile of running kdenlive through gdb. You may want to visit http://www.kdenlive.org/mantis/view_all_bug_page.php [^] and attach this file to a proper bug
Kdenlive was installed by Kdenlive Builder Wizard 0.7.1
Information about revisions of modules at the time of compilation:
ffmpeg: Revision: 16001 Last Changed Date: 2008-12-04 05:00:53 +0200 (Thu, 04 Dec 2008)
mlt: Revision: 1252 Last Changed Date: 2008-12-04 05:20:21 +0200 (Thu, 04 Dec 2008)
mlt++: Revision: 1252 Last Changed Date: 2008-11-06 07:32:23 +0200 (Thu, 06 Nov 2008)
kdenlive: Revision: 2755 Last Changed Date: 2008-12-03 14:44:18 +0200 (Wed, 03 Dec 2008)
uname -a at time of compilation:
Linux ndivan 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux
Information about cc at the time of compilation:
Using built-in specs.
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.3.2-1ubuntu11' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs [^] --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu11)
/usr/bin/dpkg
Found dpkg - running dpkg -l to grep libc6
ii libc6 2.8~20080505-0ubuntu7 GNU C Library: Shared libraries
ii libc6-dev 2.8~20080505-0ubuntu7 GNU C Library: Development Libraries and Header Files
ii libc6-i386 2.8~20080505-0ubuntu7 GNU C Library: 32bit shared libraries for AMD64
Information about kde 4 at the time of compilation:
Qt: 4.4.3
KDE: 4.1.3 (KDE 4.1.3)
kde4-config: 1.0
uname -a at runtime:
Linux ndivan 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux
Information about kde 4 at runtime:
kde4-config(2685) KLocalePrivate::initEncoding: Cannot resolve system encoding, defaulting to ISO 8859-1.
Qt: 4.4.3
KDE: 4.1.3 (KDE 4.1.3)
kde4-config: 1.0
Information about kde 3 at runtime:
Qt: 3.3.8b
KDE: 3.5.10
kde-config: 1.0
INSTALL_DIR=/home/divan/bin/kdenlive
MLT_AVFORMAT_THREADS=1
PATH=/home/divan/bin/kdenlive/bin:/home/divan/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
LD_LIBRARY_PATH=/home/divan/bin/kdenlive/lib::/usr/lib32
MLT_PATH=/home/divan/bin/kdenlive
Running ldd /home/divan/bin/kdenlive/bin/kdenlive
    linux-vdso.so.1 => (0x00007fff2e9fe000)
    libmlt.so.1 => /home/divan/bin/kdenlive/lib/libmlt.so.1 (0x00007fa026428000)
    libmlt++.so.1 => /home/divan/bin/kdenlive/lib/libmlt++.so.1 (0x00007fa026205000)
    libavformat.so.52 => /home/divan/bin/kdenlive/lib/libavformat.so.52 (0x00007fa025f24000)
    libnepomuk.so.4 => /usr/lib/libnepomuk.so.4 (0x00007fa025cb0000)
    libkdeui.so.5 => /usr/lib/libkdeui.so.5 (0x00007fa0256ba000)
    libstreamanalyzer.so.0 => /usr/lib/libstreamanalyzer.so.0 (0x00007fa025448000)
    libstreams.so.0 => /usr/lib/libstreams.so.0 (0x00007fa025215000)
    libacl.so.1 => /lib/libacl.so.1 (0x00007fa02500d000)
    libattr.so.1 => /lib/libattr.so.1 (0x00007fa024e08000)
    libkio.so.5 => /usr/lib/libkio.so.5 (0x00007fa024943000)
    libQtSvg.so.4 => /usr/lib/libQtSvg.so.4 (0x00007fa0246f0000)
    libsolid.so.4 => /usr/lib/libsolid.so.4 (0x00007fa024465000)
    libkdecore.so.5 => /usr/lib/libkdecore.so.5 (0x00007fa02400f000)
    libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0x00007fa023bd1000)
    libSM.so.6 => /usr/lib/libSM.so.6 (0x00007fa0239c8000)
    libICE.so.6 => /usr/lib/libICE.so.6 (0x00007fa0237ad000)
    libX11.so.6 => /usr/lib/libX11.so.6 (0x00007fa0234a5000)
    libXext.so.6 => /usr/lib/libXext.so.6 (0x00007fa023293000)
    libXft.so.2 => /usr/lib/libXft.so.2 (0x00007fa02307e000)
    libXau.so.6 => /usr/lib/libXau.so.6 (0x00007fa022e7c000)
    libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007fa022c77000)
    libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0x00007fa022123000)
    libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0x00007fa021e1c000)
    libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0x00007fa021bac000)
    libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0x00007fa021965000)
    libXtst.so.6 => /usr/lib/libXtst.so.6 (0x00007fa02175f000)
    libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007fa021555000)
    libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007fa021350000)
    libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007fa021146000)
    libz.so.1 => /usr/lib/libz.so.1 (0x00007fa020f2e000)
    libknotifyconfig.so.4 => /usr/lib/libknotifyconfig.so.4 (0x00007fa020d1b000)
    libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007fa020b0a000)
    libresolv.so.2 => /lib/libresolv.so.2 (0x00007fa0208f5000)
    libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fa0205e8000)
    libm.so.6 => /lib/libm.so.6 (0x00007fa020363000)
    libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007fa02014b000)
    libc.so.6 => /lib/libc.so.6 (0x00007fa01fdd9000)
    libavcodec.so.52 => /home/divan/bin/kdenlive/lib/libavcodec.so.52 (0x00007fa01f487000)
    libdl.so.2 => /lib/libdl.so.2 (0x00007fa01f283000)
    libpthread.so.0 => /lib/libpthread.so.0 (0x00007fa01f067000)
    libmiracle.so.1 => /home/divan/bin/kdenlive/lib/libmiracle.so.1 (0x00007fa01ee58000)
    libavutil.so.49 => /home/divan/bin/kdenlive/lib/libavutil.so.49 (0x00007fa01ec4a000)
    libsoprano.so.4 => /usr/lib/libsoprano.so.4 (0x00007fa01e965000)
    libsopranoclient.so.1 => /usr/lib/libsopranoclient.so.1 (0x00007fa01e729000)
    libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00007fa01e3cc000)
    libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00007fa01e1c7000)
    librt.so.1 => /lib/librt.so.1 (0x00007fa01dfbe000)
    libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007fa01dcf9000)
    libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x00007fa01daf7000)
    libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007fa01d8db000)
    libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007fa01d6a9000)
    libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007fa01d425000)
    libaudio.so.2 => /usr/lib/libaudio.so.2 (0x00007fa01d20c000)
    libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00007fa01cfe5000)
    libXi.so.6 => /usr/lib/libXi.so.6 (0x00007fa01cdda000)
    libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007fa01cbd2000)
    libphonon.so.4 => /usr/lib/libphonon.so.4 (0x00007fa01c985000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fa02664c000)
    libfaac.so.0 => /usr/lib/libfaac.so.0 (0x00007fa01c773000)
    libfaad.so.0 => /usr/lib/libfaad.so.0 (0x00007fa01c533000)
    libmp3lame.so.0 => /usr/lib/libmp3lame.so.0 (0x00007fa01c2ba000)
    libtheora.so.0 => /usr/lib/libtheora.so.0 (0x00007fa01c073000)
    libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0x00007fa01bc9a000)
    libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x00007fa01ba6d000)
    libvalerie.so.1 => /home/divan/bin/kdenlive/lib/libvalerie.so.1 (0x00007fa01b862000)
    libpcre.so.3 => /lib/libpcre.so.3 (0x00007fa01b639000)
    libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007fa01b40f000)
    libXt.so.6 => /usr/lib/libXt.so.6 (0x00007fa01b1ab000)
    libogg.so.0 => /usr/lib/libogg.so.0 (0x00007fa01afa5000)
Running gdb --args /home/divan/bin/kdenlive/bin/kdenlive --nocrashhandler --mlt-path /home/divan/bin/kdenlive
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu"...
(gdb) (gdb) set pagination off
(gdb) (gdb) run
(gdb) Starting program: /home/divan/bin/kdenlive/bin/kdenlive --nocrashhandler --mlt-path /home/divan/bin/kdenlive
[Thread debugging using libthread_db enabled]
[New Thread 0x7fd6356c96f0 (LWP 2696)]
kdenlive(2696) KLocalePrivate::initEncoding: Cannot resolve system encoding, defaulting to ISO 8859-1.
kdenlive(2696) MainWindow::parseProfiles: RESULTINGÂ MLT PATH: "/home/divan/bin/kdenlive/share/mlt/profiles/"
kdenlive(2696) initEffects::fillTransitionsList: "/home/divan/bin/kdenlive/share/mlt/lumas/PAL" 22
kdenlive(2696) initEffects::parseEffectFiles: // INIT EFFECT SEARCH
kdenlive(2696) Wizard::installExtraMimes: EXTS: ("*.mpe", "*.mpeg", "*.mod", "*.vob", "*.mpg", "*.mp2", "*.mts", "*.m2t")
kdenlive(2696) Wizard::installExtraMimes: INSTALLING NEW MIME TO: "/home/divan/.local/share/mime/packages/video-mpeg.xml"
kdenlive(2696) Wizard::installExtraMimes: EXTS: ("*.dif", "*.dv")
kdenlive(2696) Wizard::installExtraMimes: INSTALLING NEW MIME TO: "/home/divan/.local/share/mime/packages/video-dv.xml"
kdenlive(2696) Render::Render: ////////// USINGÂ PROFILE: hdv_1080_50i
kdenlive(2696) Monitor::Monitor: /////// BUILDING MONITOR, ID: 65012832
kdenlive(2696) Render::Render: ////////// USINGÂ PROFILE: hdv_1080_50i
kdenlive(2696) Monitor::Monitor: /////// BUILDING MONITOR, ID: 65012932
kdenlive(2696) RecMonitor::RecMonitor: /////// BUILDING MONITOR, ID: 65012973
QStatusBar::insertPermanentWidget: Index out of range (5), appending widget
QStatusBar::insertPermanentWidget: Index out of range (7), appending widget
kdenlive(2696) KdenliveDoc::setProfilePath: KDEnnlive document, init timecode from path: "dv_pal" , 25
kdenlive(2696) KdenliveDoc::KdenliveDoc: KDEnnlive document, init timecode: 25
kdenlive(2696) TrackView::slotAddProjectTrack: ************* ADD DOCÂ TRACKÂ 4 , DURATION: 0
kdenlive(2696) TrackView::slotAddProjectTrack: ************* ADD DOCÂ TRACKÂ 3 , DURATION: 0
kdenlive(2696) TrackView::slotAddProjectTrack: ************* ADD DOCÂ TRACKÂ 2 , DURATION: 0
kdenlive(2696) TrackView::slotAddProjectTrack: ************* ADD DOCÂ TRACKÂ 1 , DURATION: 0
kdenlive(2696) TrackView::slotAddProjectTrack: ************* ADD DOCÂ TRACKÂ 0 , DURATION: 0
kdenlive(2696) TrackView::parseDocument: /////////// TOTAL PROJECT DURATION: 300
kdenlive(2696) MainWindow::connectDocument: /////////////////// CONNECTINGÂ DOC TOÂ PROJECTÂ VIEW ////////////////
kdenlive(2696) Render::stop: ///////////// RENDER STOP2-------
kdenlive(2696) Render::stop: ///////////// RENDER STOP3-------
kdenlive(2696) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(2696) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(2696) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(2696) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 15000
kdenlive(2696) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(2696) Render::stop: ///////////// RENDER STOP2-------
kdenlive(2696) Render::stop: ///////////// RENDER STOP3-------
kdenlive(2696) Render::start: ----- STARTING MONITOR: "project"
kdenlive(2696) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(2696) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(2696) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 15000
kdenlive(2696) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 0
[New Thread 0x41642950 (LWP 2809)]
[New Thread 0x42367950 (LWP 2813)]
[New Thread 0x42b68950 (LWP 2814)]
[Thread 0x42367950 (LWP 2813) exited]
[Thread 0x42b68950 (LWP 2814) exited]
[New Thread 0x42b68950 (LWP 2815)]
[New Thread 0x42367950 (LWP 2816)]
[Thread 0x42b68950 (LWP 2815) exited]
[Thread 0x42367950 (LWP 2816) exited]
[New Thread 0x42367950 (LWP 2817)]
[New Thread 0x42b68950 (LWP 2818)]
[Thread 0x42367950 (LWP 2817) exited]
[Thread 0x42b68950 (LWP 2818) exited]
[New Thread 0x42b68950 (LWP 2819)]
[New Thread 0x42367950 (LWP 2820)]
[Thread 0x42b68950 (LWP 2819) exited]
[Thread 0x42367950 (LWP 2820) exited]
[New Thread 0x42367950 (LWP 2821)]
[New Thread 0x42b68950 (LWP 2822)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fd6356c96f0 (LWP 2696)]
mlt_properties_get_data (this=0x0, name=0x7fd6352e3544 "field", length=0x0) at mlt_properties.c:346
346 property_list *list = this->local;
Current language: auto; currently c
(gdb) bt
(gdb) #0 mlt_properties_get_data (this=0x0, name=0x7fd6352e3544 "field", length=0x0) at mlt_properties.c:346
#1 0x00007fd6350bc307 in Mlt::Tractor::field () from /home/divan/bin/kdenlive/lib/libmlt++.so.1
0000002 0x00000000004c9dec in Render::producersList (this=0x18138a0) at /tmp/src/kdenlive/src/renderer.cpp:2612
0000003 0x00000000004f0cef in KdenliveDoc::checkProjectClips (this=0x191b3f0) at /tmp/src/kdenlive/src/kdenlivedoc.cpp:845
0000004 0x00000000004f209a in KdenliveDoc::setRenderer (this=0x191b3f0, render=0x18138a0) at /tmp/src/kdenlive/src/kdenlivedoc.cpp:838
0000005 0x000000000048aada in MainWindow::connectDocument (this=0x13f8cc0, trackView=0x192e4a0, doc=0x191b3f0) at /tmp/src/kdenlive/src/mainwindow.cpp:1393
0000006 0x000000000048e245 in MainWindow::activateDocument (this=0x13f8cc0) at /tmp/src/kdenlive/src/mainwindow.cpp:938
0000007 0x000000000049b723 in MainWindow::qt_metacall (this=0x13f8cc0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff3d706770) at /tmp/src/kdenlive/src/cmake_bindir/mainwindow.moc:212
0000008 0x00007fd632bd7134 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000009 0x00007fd6315487ae in QTabWidget::currentChanged () from /usr/lib/libQtGui.so.4
0000010 0x00007fd631549e0d in ?? () from /usr/lib/libQtGui.so.4
0000011 0x00007fd631549fe7 in QTabWidget::qt_metacall () from /usr/lib/libQtGui.so.4
0000012 0x00007fd634852b95 in KTabWidget::qt_metacall () from /usr/lib/libkdeui.so.5
0000013 0x00007fd632bd7134 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000014 0x00007fd631541bde in QTabBar::currentChanged () from /usr/lib/libQtGui.so.4
0000015 0x00007fd631547b1e in QTabBar::insertTab () from /usr/lib/libQtGui.so.4
0000016 0x00007fd631549b68 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4
0000017 0x00000000004908d6 in MainWindow::newFile (this=0x13f8cc0, showProjectSettings=false) at /tmp/src/kdenlive/src/mainwindow.cpp:925
0000018 0x00000000004a02e6 in MainWindow (this=0x13f8cc0, MltPath=@0x7fff3d7076c0, Url=@0x7fff3d707680, parent=0x0) at /tmp/src/kdenlive/src/mainwindow.cpp:345
0000019 0x0000000000484a4a in main (argc=4, argv=0x7fff3d707a28) at /tmp/src/kdenlive/src/main.cpp:71
(gdb) thread apply all bt
(gdb)
Thread 12 (Thread 0x42b68950 (LWP 2822)):
#0 0x00007fd62df0f2d9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007fd623213e9b in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:381
0000002 0x00007fd62df0b3ea in start_thread () from /lib/libpthread.so.0
0000003 0x00007fd62ed5cc6d in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x42367950 (LWP 2821)):
#0 0x00007fd62df0f55d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007fd6352dde23 in mlt_consumer_get_frame (this=0x182c420) at mlt_consumer.c:408
0000002 0x00007fd6352de095 in mlt_consumer_rt_frame (this=0x182c53c) at mlt_consumer.c:763
0000003 0x00007fd6232151b1 in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:558
0000004 0x00007fd62df0b3ea in start_thread () from /lib/libpthread.so.0
0000005 0x00007fd62ed5cc6d in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x41642950 (LWP 2809)):
#0 0x00007fd62ed55482 in select () from /lib/libc.so.6
#1 0x00007fd632ba3006 in ?? () from /usr/lib/libQtCore.so.4
0000002 0x00007fd632ada362 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fd62df0b3ea in start_thread () from /lib/libpthread.so.0
0000004 0x00007fd62ed5cc6d in clone () from /lib/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fd6356c96f0 (LWP 2696)):
#0 mlt_properties_get_data (this=0x0, name=0x7fd6352e3544 "field", length=0x0) at mlt_properties.c:346
#1 0x00007fd6350bc307 in Mlt::Tractor::field () from /home/divan/bin/kdenlive/lib/libmlt++.so.1
0000002 0x00000000004c9dec in Render::producersList (this=0x18138a0) at /tmp/src/kdenlive/src/renderer.cpp:2612
0000003 0x00000000004f0cef in KdenliveDoc::checkProjectClips (this=0x191b3f0) at /tmp/src/kdenlive/src/kdenlivedoc.cpp:845
0000004 0x00000000004f209a in KdenliveDoc::setRenderer (this=0x191b3f0, render=0x18138a0) at /tmp/src/kdenlive/src/kdenlivedoc.cpp:838
0000005 0x000000000048aada in MainWindow::connectDocument (this=0x13f8cc0, trackView=0x192e4a0, doc=0x191b3f0) at /tmp/src/kdenlive/src/mainwindow.cpp:1393
0000006 0x000000000048e245 in MainWindow::activateDocument (this=0x13f8cc0) at /tmp/src/kdenlive/src/mainwindow.cpp:938
0000007 0x000000000049b723 in MainWindow::qt_metacall (this=0x13f8cc0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff3d706770) at /tmp/src/kdenlive/src/cmake_bindir/mainwindow.moc:212
0000008 0x00007fd632bd7134 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000009 0x00007fd6315487ae in QTabWidget::currentChanged () from /usr/lib/libQtGui.so.4
0000010 0x00007fd631549e0d in ?? () from /usr/lib/libQtGui.so.4
0000011 0x00007fd631549fe7 in QTabWidget::qt_metacall () from /usr/lib/libQtGui.so.4
0000012 0x00007fd634852b95 in KTabWidget::qt_metacall () from /usr/lib/libkdeui.so.5
0000013 0x00007fd632bd7134 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000014 0x00007fd631541bde in QTabBar::currentChanged () from /usr/lib/libQtGui.so.4
0000015 0x00007fd631547b1e in QTabBar::insertTab () from /usr/lib/libQtGui.so.4
0000016 0x00007fd631549b68 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4
0000017 0x00000000004908d6 in MainWindow::newFile (this=0x13f8cc0, showProjectSettings=false) at /tmp/src/kdenlive/src/mainwindow.cpp:925
0000018 0x00000000004a02e6 in MainWindow (this=0x13f8cc0, MltPath=@0x7fff3d7076c0, Url=@0x7fff3d707680, parent=0x0) at /tmp/src/kdenlive/src/mainwindow.cpp:345
0000019 0x0000000000484a4a in main (argc=4, argv=0x7fff3d707a28) at /tmp/src/kdenlive/src/main.cpp:71
(gdb) where full
(gdb) #0 mlt_properties_get_data (this=0x0, name=0x7fd6352e3544 "field", length=0x0) at mlt_properties.c:346
    value = <value optimized out>
#1 0x00007fd6350bc307 in Mlt::Tractor::field () from /home/divan/bin/kdenlive/lib/libmlt++.so.1
No locals.
0000002 0x00000000004c9dec in Render::producersList (this=0x18138a0) at /tmp/src/kdenlive/src/renderer.cpp:2612
    prods = {{p = {static shared_null = {ref = {_q_value = 13157}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7fff3d706300}, d = 0x7fff3d706300}}
    prods = {{p = {static shared_null = {ref = {_q_value = 13157}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x1a114c0}, d = 0x1a114c0}}
    ids = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 13157}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x91c280}, d = 0x91c280}}, <No data fields>}
    service = <incomplete type>
    tractor = <incomplete type>
    field = (struct Mlt::Field *) 0x2600000000
    trackNb = 26426624
    __PRETTY_FUNCTION__ = "QList<Mlt::Producer*> Render::producersList()"
0000003 0x00000000004f0cef in KdenliveDoc::checkProjectClips (this=0x191b3f0) at /tmp/src/kdenlive/src/kdenlivedoc.cpp:845
    prods = {{p = {static shared_null = {ref = {_q_value = 13157}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x91c280}, d = 0x91c280}}
    id = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11906}, alloc = 0, size = 0, data = 0x91bf3a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 113}, alloc = 0, size = 0, data = 0x7fd632eaa2fa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fff3d706360, static codecForCStrings = 0x0}
    prodId = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11906}, alloc = 0, size = 0, data = 0x91bf3a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 113}, alloc = 0, size = 0, data = 0x7fd632eaa2fa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x6a7d20, static codecForCStrings = 0x0}
    prodTrack = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11906}, alloc = 0, size = 0, data = 0x91bf3a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 113}, alloc = 0, size = 0, data = 0x7fd632eaa2fa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fff3d7063a0, static codecForCStrings = 0x0}
    __PRETTY_FUNCTION__ = "void KdenliveDoc::checkProjectClips()"
0000004 0x00000000004f209a in KdenliveDoc::setRenderer (this=0x191b3f0, render=0x18138a0) at /tmp/src/kdenlive/src/kdenlivedoc.cpp:838
No locals.
0000005 0x000000000048aada in MainWindow::connectDocument (this=0x13f8cc0, trackView=0x192e4a0, doc=0x191b3f0) at /tmp/src/kdenlive/src/mainwindow.cpp:1393
    __PRETTY_FUNCTION__ = "void MainWindow::connectDocument(TrackView*, KdenliveDoc*)"
0000006 0x000000000048e245 in MainWindow::activateDocument (this=0x13f8cc0) at /tmp/src/kdenlive/src/mainwindow.cpp:938
    currentTab = (class TrackView *) 0x192e4a0
    currentDoc = (class KdenliveDoc *) 0x191b3f0
0000007 0x000000000049b723 in MainWindow::qt_metacall (this=0x13f8cc0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff3d706770) at /tmp/src/kdenlive/src/cmake_bindir/mainwindow.moc:212
No locals.
0000008 0x00007fd632bd7134 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
No symbol table info available.
0000009 0x00007fd6315487ae in QTabWidget::currentChanged () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000010 0x00007fd631549e0d in ?? () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000011 0x00007fd631549fe7 in QTabWidget::qt_metacall () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000012 0x00007fd634852b95 in KTabWidget::qt_metacall () from /usr/lib/libkdeui.so.5
No symbol table info available.
0000013 0x00007fd632bd7134 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
No symbol table info available.
0000014 0x00007fd631541bde in QTabBar::currentChanged () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000015 0x00007fd631547b1e in QTabBar::insertTab () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000016 0x00007fd631549b68 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4
No symbol table info available.
0000017 0x00000000004908d6 in MainWindow::newFile (this=0x13f8cc0, showProjectSettings=false) at /tmp/src/kdenlive/src/mainwindow.cpp:925
    profileName = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11906}, alloc = 0, size = 0, data = 0x91bf3a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 113}, alloc = 0, size = 0, data = 0x7fd632eaa2fa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x1781a50, static codecForCStrings = 0x0}
    projectFolder = {<QUrl> = {d = 0x191b290}, d = 0x0}
    projectTracks = {xp = 3, yp = 2}
    doc = (class KdenliveDoc *) 0x191b3f0
    trackView = (class TrackView *) 0x192e4a0
0000018 0x00000000004a02e6 in MainWindow (this=0x13f8cc0, MltPath=@0x7fff3d7076c0, Url=@0x7fff3d707680, parent=0x0) at /tmp/src/kdenlive/src/mainwindow.cpp:345
No locals.
0000019 0x0000000000484a4a in main (argc=4, argv=0x7fff3d707a28) at /tmp/src/kdenlive/src/main.cpp:71
    args = (KCmdLineArgs *) 0x12f14c0
    mltPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 11906}, alloc = 0, size = 0, data = 0x91bf3a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 113}, alloc = 0, size = 0, data = 0x7fd632eaa2fa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x12f1eb0, static codecForCStrings = 0x0}
    url = {<QUrl> = {d = 0x13f8ba0}, d = 0x0}
    window = (class MainWindow *) 0x0
    aboutData = {d = 0x12ec710}
    options = {d = 0x12f1250}
    app = <incomplete type>
    __PRETTY_FUNCTION__ = "int main(int, char**)"
(gdb) quit
The program is running. Exit anyway? (y or n) [answered Y; input not from terminal]
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0001527)
madsdyd (administrator)
2008-12-04 12:24

Acknowledging as there is some kind of issue.
(0001529)
ddennedy (developer)
2008-12-04 18:18

I believe I ran into something similar last night shortly after I made a large MLT commit. This also included a version bump (should have been done earlier). I ended up doing a make clean all in kdenlive to resolve it, which I also updated from svn last night. If you are updating and not doing a new install, please click the checkbox to clean the sources.
(0001530)
ddennedy (developer)
2008-12-04 18:45

OK, I have another system at work where I am using the builder wizard, and I reproduced the exact same backtrace after doing an update without cleaning the sources. Then, after another build with the wizard using the clean sources option, it works.
(0001531)
ddennedy (developer)
2008-12-04 18:46

Please try again using the wizard choosing to use latest versions and clean sources. Then, let us know if that resolved it.
(0001534)
divan (reporter)
2008-12-05 10:13

Yes. I've rerun wizard with checkbox 'clean sources' enables, but got error 'dir po/smth exists in ffmpeg' - something like that. So I deleted the sources and rerun wizard again and it's fixed the crash. Kdenlive started successfully.
(0001535)
madsdyd (administrator)
2008-12-05 10:24

This turns out to be a build issue. The "do not clean sources" option in the wizard is dangerous, it seems.

- Issue History
Date Modified Username Field Change
2008-12-04 11:03 divan New Issue
2008-12-04 11:03 divan Build/Install Method => Build Wizard
2008-12-04 12:24 madsdyd Note Added: 0001527
2008-12-04 12:24 madsdyd Status new => acknowledged
2008-12-04 12:24 madsdyd OS => Ubuntu Linux
2008-12-04 12:24 madsdyd OS Version => 8.10
2008-12-04 12:24 madsdyd Platform => 64 bit
2008-12-04 18:18 ddennedy Note Added: 0001529
2008-12-04 18:45 ddennedy Note Added: 0001530
2008-12-04 18:46 ddennedy Note Added: 0001531
2008-12-04 18:46 ddennedy Status acknowledged => feedback
2008-12-05 10:13 divan Note Added: 0001534
2008-12-05 10:24 madsdyd Note Added: 0001535
2008-12-05 10:24 madsdyd Status feedback => resolved
2008-12-05 10:24 madsdyd Resolution open => no change required
2008-12-05 10:24 madsdyd Assigned To => madsdyd
2008-12-29 16:27 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker